Draft: Serie polare

From FreeCAD Documentation
Revision as of 21:32, 23 May 2020 by Renatorivo (talk | contribs) (Created page with "# Selezionare un oggetto da cui si desidera creare la matrice polare. # Premere il pulsante {{Button|16px Serie polare}}....")

Serie polare

Posizione nel menu
Draft → Serie polare
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Serie, Serie circolare, Serie su tracciato, Serie su punti, Clone

Descrizione

Lo strumento Serie polare crea una serie da un oggetto selezionato posizionando le copie lungo una circonferenza.

Questo strumento può essere utilizzato su forme 2D create con Draft ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con Part o PartDesign.

Per posizionare le copie in una griglia rettangolare utilizzare Serie. Per posizionarle in un modello circolare utilizzare Serie circolare. Per posizionare le copie lungo un percorso utilizzare Serie su tracciato. Per posizionare le copie in punti specificati usare Serie su punti; per creare copie o cloni e posizionarli manualmente usare Sposta, Ruota, e Clona.

Una serie polare di un oggetto.

Utilizzo

  1. Selezionare un oggetto da cui si desidera creare la matrice polare.
  2. Premere il pulsante Serie polare. Se non viene selezionato alcun oggetto, si aprirà il pannello azioni, ma è comunque necessario selezionare un oggetto per procedere.
  3. Scegli l'angolo polare, che determina dove sarà posizionato l'ultimo elemento della serie.
  4. Scegliere il numero di elementi della serie. Minimo 2, massimo 99.
  5. Scegliere il centro dell'asse di rotazione. È possibile fare clic nella vista 3D, per impostare contemporaneamente la posizione del centro di rotazione e completare il comando.
  6. Facoltativamente, attivare le opzioni di fusione o link.
  7. Premere OK per completare il comando.

Notes:

  • By default, the axis of rotation is the positive Z axis (0, 0, 1). This can be changed in the property editor after the object is created.
  • The polar angle is positive in the counter-clockwise direction, and negative in the clockwise direction.
  • Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
  • This command creates the same object as the one created with the Array and CircularArray tools. Therefore, the array can be converted to orthogonal, polar, or circular just by changing its properties.

Opzioni

  • Press Reset point to set the center of rotation to the origin (0, 0, 0).
  • If the Fuse checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
  • If the Use Links checkbox is ticked, the resulting objects in the array will be App Links instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the shape of the original object, and does not create new shapes. If this option is used, the Fuse checkbox has no effect.
  • Press Esc or the Cancel button to abort the current command.

Proprietà

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the OrthoArray tool for the complete information.

Script

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_polar_array(obj, center, angle, number, use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The value of center is a vector that defines the center of the array circle; angle is the angle of the arc in degrees, and number is the number of copies in the polar pattern, including the original object.
  • If use_link is true the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Esempio:

import FreeCAD as App
import Draft
import draftobjects.polararray as pa

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
center = App.Vector(-1600, 0, 0)
arr = pa.make_polar_array(tri, center, 270, 8)
App.ActiveDocument.recompute()